## Package Win32::GUI::Window

Back to the Packages

- Constructor

  - new Win32::GUI::Window(%OPTIONS)

- Methods

  - AddAnimation(%OPTIONS)

  - AddButton(%OPTIONS)

  - AddCheckbox(%OPTIONS)

  - AddCombobox(%OPTIONS)

  - AddComboboxEx(%OPTIONS)

  - AddDateTime(%OPTIONS)

  - AddGraphic(%OPTIONS)

  - AddGroupbox(%OPTIONS)

  - AddHeader(%OPTIONS)

  - AddLabel(%OPTIONS)

  - AddListbox(%OPTIONS)

  - AddListView(%OPTIONS)

  - AddMenu()

  - AddNotifyIcon(%OPTIONS)

  - AddProgressBar(%OPTIONS)

  - AddRadioButton(%OPTIONS)

  - AddRebar(%OPTIONS)

  - AddRichEdit(%OPTIONS)

  - AddSlider(%OPTIONS)

  - AddSplitter(%OPTIONS)

  - AddStatusBar(%OPTIONS)

  - AddTabStrip(%OPTIONS)

  - AddTextfield(%OPTIONS)

  - AddTimer(NAME, ELAPSE)

  - AddToolbar(%OPTIONS)

  - AddTreeView(%OPTIONS)

  - AddUpDown(%OPTIONS)

  - GetDC()

- Events

  - Activate()

  - Deactivate()

  - DropFiles(DROP_HANDLE)

  - Maximize()

  - Minimize()

  - Resize()

  - Terminate()

### Constructor

new Win32::GUI::Window(%OPTIONS)

  Creates a new Window object. Class specific `%OPTIONS` are:

        -minsize => [X, Y]
          specifies the minimum size (width and height) in pixels;
          X and Y must be passed in an array reference
        -maxsize => [X, Y]
          specifies the maximum size (width and height) in pixels;
          X and Y must be passed in an array reference
        -minwidth  => N
        -minheight => N
        -maxwidht  => N
        -maxheight => N
          specify the minimum and maximum size width
          and height, in pixels
        -topmost => 0/1 (default 0)
          the window "stays on top" even when deactivated

### Methods

AddAnimation(%OPTIONS)

  See new Win32::GUI::Animation().

AddButton(%OPTIONS)

  See new Win32::GUI::Button().

AddCheckbox(%OPTIONS)

  See new Win32::GUI::Checkbox().

AddCombobox(%OPTIONS)

  See new Win32::GUI::Combobox().

AddComboboxEx(%OPTIONS)

  See new Win32::GUI::Combobox().

AddDateTime(%OPTIONS)

  See new Win32::GUI::DateTime().

AddGraphic(%OPTIONS)

  See new Win32::GUI::Graphic().

AddGroupbox(%OPTIONS)

  See new Win32::GUI::Groupbox().

AddHeader(%OPTIONS)

  See new Win32::GUI::Header().

AddLabel(%OPTIONS)

  See new Win32::GUI::Label().

AddListbox(%OPTIONS)

  See new Win32::GUI::Listbox().

AddListView(%OPTIONS)

  See new Win32::GUI::ListView().

AddMenu()

  See new Win32::GUI::Menu().

AddNotifyIcon(%OPTIONS)

  See new Win32::GUI::NotifyIcon().

AddProgressBar(%OPTIONS)

  See new Win32::GUI::ProgressBar().

AddRadioButton(%OPTIONS)

  See new Win32::GUI::RadioButton().

AddRebar(%OPTIONS)

  See new Win32::GUI::Rebar().

AddRichEdit(%OPTIONS)

  See new Win32::GUI::RichEdit().

AddSlider(%OPTIONS)

  See new Win32::GUI::Slider().

AddSplitter(%OPTIONS)

  See new Win32::GUI::Splitter().

AddStatusBar(%OPTIONS)

  See new Win32::GUI::StatusBar().

AddTabStrip(%OPTIONS)

  See new Win32::GUI::TabStrip().

AddTextfield(%OPTIONS)

  See new Win32::GUI::Textfield().

AddTimer(NAME, ELAPSE)

  See new Win32::GUI::Timer().

AddToolbar(%OPTIONS)

  See new Win32::GUI::Toolbar().

AddTreeView(%OPTIONS)

  See new Win32::GUI::TreeView().

AddUpDown(%OPTIONS)

  See new Win32::GUI::UpDown().

GetDC()

  Returns the DC object associated with the window.

### Events

Activate()

  Sent when the window is activated.

Deactivate()

  Sent when the window is deactivated.

DropFiles(DROP_HANDLE)

  Sent when the window receives dropped files.

Maximize()

  Sent when the window is maximized.

Minimize()

  Sent when the window is minimized.

Resize()

  Sent when the window is resized.

Terminate()

  Sent when the window is closed. The event should return -1 to terminate the interaction and return control to the perl script; see Dialog().